package com.yc.education.service.impl;

import com.yc.education.mapper.Classify02Mapper;
import com.yc.education.model.Classify02;
import com.yc.education.service.Classify02Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class Classify02ServiceImpl extends BaseService<Classify02> implements Classify02Service {

    @Autowired
    private Classify02Mapper classify02Mapper;

    @Override
    public List<Classify02> findClassByCid(Integer cid) {
        return classify02Mapper.findClassByCid(cid);
    }

    @Override
    public List<Classify02> findAllClass02() {
        return classify02Mapper.findAllClass02();
    }

    @Override
    public void deleteByCid(Integer cid) {
        classify02Mapper.deleteByCid(cid);
    }
}
